function getCompensationMonthCount (totalMonth) {
    let _s = 0

    if (totalMonth >= 6 && totalMonth % 6 === 0) {
        _s = Math.ceil(totalMonth / 12)
    } else {
        _s = (Math.floor(totalMonth / 6) + 1) * 0.5
    }

    return _s
}

function Y1 (salary, vacM) {
    return salary * vacM
}

function getY2 (Q, salary, n) {
    return Q > 12 ? 0 : (salary * n)
}

function Y3 (date, salary) {
    return Math.max(0, ((date - 6) / 21.75 * salary))
}

function Y4 (p, salary) {
    return (p - 1) * salary
}

function Y5 (p, salary) {
    return (24 - p) * salary
}

function Y6 (q, salary) {
    return (12 - q) * salary
}

function Y7 (p, q, salary) {
    return (24 - p - q) * salary
}

function Y8 (redSalary, redM) {
    return redSalary * redM
}

// 未签劳动合同
function weiQianLaoDongHeTong (Q, P, Y4, Y5, Y6, Y7) {
    let X1 = 0

    if (Q > 0 && Q < 12) {
        if (P + Q < 24) {
            if (P + Q <= 12) {
                X1 = Y4
            } else if (P <= 12 && P + Q > 12) {
                X1 = Y6
            } else if (P > 12) {
                X1 = Y7
            }
        }
    } else if (Q === 0) {
        if (P >= 24) {
            X1 = 0
        } else if (P <= 12) {
            X1 = Y4
        } else if (P > 12 && P <= 24) {
            X1 = Y5
        }
    }

    return X1
}

// 未签劳动合同证据判断
function weiQianLaoDongHeTongEvidence (constants) {
    let risk = ''
    let attention = ''

    if ([0, 1].indexOf(constants['工资转账路径'].key) !== -1) {
        risk = '稳当'

        return {
            type: '未签劳动合同',
            risk: risk,
            attention: attention
        }
    }

    if ([0, 2].indexOf(constants['交社保情况'].key) !== -1) {
        risk = '待考察'
        attention = '只有社保，要确定社保是不是第三方代缴。a. 如果是公司直接缴纳—>稳当；b. 如果是第三方代缴，需要结合其他证据'

        return {
            type: '未签劳动合同',
            risk: risk,
            attention: attention
        }
    }

    if ([2, 3, 4].indexOf(constants['工资转账路径'].key) !== -1) {
        risk = '待考察'
        attention = '1. 员工私人转账，需要有证据证明该员工是该公司的员工 （常见的是财务或者人事）2. 第三方机构代发工资，需要有辅助证据证明劳动关系'

        return {
            type: '未签劳动合同',
            risk: risk,
            attention: attention
        }
    }

    if ([1, 3, 5, 7].indexOf(constants['工资发放形式'].key) !== -1 || !constants['是否交社保']) {
        risk = '不稳'
        attention = '未签劳动合同时，关键是确认劳动关系，在进入本条路线后，常规的关键证据都缺失。此时，将下面的证据表发给客户，要求对方确认自己拥有的证据。能证明您和用人单位存在劳动关系的证据如下所示，麻烦您把已有材料的对应序号告诉我：【1】工资卡、工资条或其它工资发放记录（最好有单位盖章）等；【2】社保缴纳记录；【3】公司向您发放的“工作证”、“服务证”等盖了公章证件 ；【4】您填写的用人单位招工招聘“登记表”、“报名表”等招用记录；【5】有领导签字或盖章的用人单位的考勤记录（考勤表、出勤卡等）；【6】仍然在职的同事证言；【7】载有您名字的用人单位的各种文件，比如用人单位下发工作任务单、介绍信、签到表等书面资料；【8】您代表用人单位与其它实体或个人签订的文件等；【9】录音、录像、照片。比如您在与用人单位负责人协商谈判双方劳动关系事宜时可以进行录音；【10】网络信息。如您与相关人员在QQ、微信或MSN等聊天软件中的各种聊天记录；【11】手机短信与电话录音。如您与用人单位负责人协商谈判具体事宜时的电话录音；'

        return {
            type: '未签劳动合同',
            risk: risk,
            attention: attention
        }
    }

    return {
        type: '未签劳动合同',
        attention: '证据不足，没有评估'
    }
}

// 拖欠工资
function tuoQianGongZi (Q, Y1, Y2, Y3) {
    let X2 = 0

    if (Q === 0) {
        X2 = Y1 + Y2 + Y3
        // Y2 = 0
    } else if (Q > 0 && Q < 12) {
        X2 = Y1 + Y2
        // Y2 = 0
    }

    return X2
}

// 未缴社保
function weiJiaoNaSheBao (isOnset, Q, Y2, P) {
    // isOnset 只有用户选择了b或者c才有社保赔偿
    // b->自上班以来，公司。。。。
    // c->之前缴过，但最近......
    let X3 = 0

    if (isOnset && Q >= 0 && Q < 12 && P > 0) {
        X3 = Y2
    }

    return X3
}

// 未缴社保证据判断
function weiJiaoNaSheBaoEvidence (constants) {
    let risk = ''
    let attention = ''

    if ([1, 2].indexOf(constants['交社保情况'].key) !== -1) {
        const Q = constants['离职月数']

        if (Q === 0 && ([0, 1].indexOf(constants['工资转账路径'].key) !== -1 || constants['是否签劳动合同'])) {
            risk = '稳当'
            attention = '一、因为未缴纳社保索要离职的经济补偿，深圳地区要求员工先进行催告，可以先签约，指导催告程序。'

            return {
                type: '未缴社保',
                risk: risk,
                attention: attention
            }
        }

        if (Q === 0 && [2, 3, 4].indexOf(constants['工资转账路径'].key) !== -1) {
            risk = '待考察'
            attention = '1. 员工私人转账，需要有证据证明该员工是该公司的员工 （常见的是财务或者人事）2. 第三方机构代发工资，需要有辅助证据证明劳动关系'

            return {
                type: '未缴社保',
                risk: risk,
                attention: attention
            }
        }

        if (Q === 0 && [1, 3, 5, 7].indexOf(constants['工资发放形式'].key) !== -1) {
            risk = '不稳'
            attention = '未签劳动合同时，关键是确认劳动关系，在进入本条路线后，常规的关键证据都缺失。此时，将下面的证据表发给客户，要求对方确认自己拥有的证据。能证明您和用人单位存在劳动关系的证据如下所示，麻烦您把已有材料的对应序号告诉我：【1】工资卡、工资条或其它工资发放记录（最好有单位盖章）等；【2】社保缴纳记录；【3】公司向您发放的“工作证”、“服务证”等盖了公章证件 ；【4】您填写的用人单位招工招聘“登记表”、“报名表”等招用记录；【5】有领导签字或盖章的用人单位的考勤记录（考勤表、出勤卡等）；【6】仍然在职的同事证言；【7】载有您名字的用人单位的各种文件，比如用人单位下发工作任务单、介绍信、签到表等书面资料；【8】您代表用人单位与其它实体或个人签订的文件等；【9】录音、录像、照片。比如您在与用人单位负责人协商谈判双方劳动关系事宜时可以进行录音；【10】网络信息。如您与相关人员在QQ、微信或MSN等聊天软件中的各种聊天记录；【11】手机短信与电话录音。如您与用人单位负责人协商谈判具体事宜时的电话录音；'

            return {
                type: '未缴社保',
                risk: risk,
                attention: attention
            }
        }

        if (Q > 0 && Q < 12) {
            risk = '不稳'
            attention = '未签劳动合同时，关键是确认劳动关系，在进入本条路线后，常规的关键证据都缺失。此时，将下面的证据表发给客户，要求对方确认自己拥有的证据。能证明您和用人单位存在劳动关系的证据如下所示，麻烦您把已有材料的对应序号告诉我：【1】工资卡、工资条或其它工资发放记录（最好有单位盖章）等；【2】社保缴纳记录；【3】公司向您发放的“工作证”、“服务证”等盖了公章证件 ；【4】您填写的用人单位招工招聘“登记表”、“报名表”等招用记录；【5】有领导签字或盖章的用人单位的考勤记录（考勤表、出勤卡等）；【6】仍然在职的同事证言；【7】载有您名字的用人单位的各种文件，比如用人单位下发工作任务单、介绍信、签到表等书面资料；【8】您代表用人单位与其它实体或个人签订的文件等；【9】录音、录像、照片。比如您在与用人单位负责人协商谈判双方劳动关系事宜时可以进行录音；【10】网络信息。如您与相关人员在QQ、微信或MSN等聊天软件中的各种聊天记录；【11】手机短信与电话录音。如您与用人单位负责人协商谈判具体事宜时的电话录音；'

            return {
                type: '未缴社保',
                risk: risk,
                attention: attention
            }
        }
    }

    if (!constants['是否交社保']) {
        return {
            type: '未缴社保',
            risk: '待考察',
            attention: '1. 需要跟对方核对一下社保是否真的没有缴纳过。如果只是按基本工资缴纳、以前有一段时间未缴纳或者部分项目没有缴纳，则无法获得经济补偿，只能去社保局举报。2. 如果对方公司确实是没有缴纳，或者最近几个月没有缴纳，那么是可以的。按照深圳市中级人民法院的仲裁指引，此时，当事人需要进行一次催告义务，否则经济补偿有可能不稳。'
        }
    }

    return {
        type: '未缴社保',
        attention: '证据不足，没有评估'
    }
}

// 拖欠工资 & 经济补偿金证据判断
function tuoQianGongZiEvidence (constants) {
    let gongZiRisk = ''
    let gongZiAttention = ''
    let jingjiRisk = '' // 经济补偿金
    let jingjiAttention = ''

    if (constants['签劳动合同情况'] === 0 || [0, 1].indexOf(constants['工资转账路径'].key) !== -1 || [0, 2].indexOf(constants['离职情况'].key) !== -1) {
        gongZiRisk = '稳当'
    }

    if (!gongZiRisk && [2, 3, 4].indexOf(constants['工资转账路径'].key) !== -1) {
        gongZiRisk = '待考察'
        gongZiAttention = '1. 员工私人转账，需要有证据证明该员工是该公司的员工 （常见的是财务或者人事）2. 第三方机构代发工资，需要有辅助证据证明劳动关系'
    }

    if (!gongZiRisk && [0, 2].indexOf(constants['交社保情况'].key) !== -1) {
        gongZiRisk = '待考察'
        gongZiAttention = '只有社保，要确定社保是不是第三方代缴。a. 如果是公司直接缴纳—>稳当；b. 如果是第三方代缴，需要结合其他证据'
    }

    if (!gongZiRisk && ([1, 3, 5, 7].indexOf(constants['工资发放形式'].key) !== -1 || !constants['是否交社保'])) {
        gongZiRisk = '不稳'
        gongZiAttention = '未签劳动合同时，关键是确认劳动关系，在进入本条路线后，常规的关键证据都缺失。此时，将下面的证据表发给客户，要求对方确认自己拥有的证据。能证明您和用人单位存在劳动关系的证据如下所示，麻烦您把已有材料的对应序号告诉我：【1】工资卡、工资条或其它工资发放记录（最好有单位盖章）等；【2】社保缴纳记录；【3】公司向您发放的“工作证”、“服务证”等盖了公章证件 ；【4】您填写的用人单位招工招聘“登记表”、“报名表”等招用记录；【5】有领导签字或盖章的用人单位的考勤记录（考勤表、出勤卡等）；【6】仍然在职的同事证言；【7】载有您名字的用人单位的各种文件，比如用人单位下发工作任务单、介绍信、签到表等书面资料；【8】您代表用人单位与其它实体或个人签订的文件等；【9】录音、录像、照片。比如您在与用人单位负责人协商谈判双方劳动关系事宜时可以进行录音；【10】网络信息。如您与相关人员在QQ、微信或MSN等聊天软件中的各种聊天记录；【11】手机短信与电话录音。如您与用人单位负责人协商谈判具体事宜时的电话录音；'
    }

    // 经济补偿金部分
    if (constants['离职月数'] === 0) {
        jingjiRisk = '稳当'
    }

    if ([0, 1, 2].indexOf(constants['离职情况'].key) !== -1) {
        jingjiRisk = '待考察'
        jingjiAttention = '1. 明确是先离职还是先欠薪？2. 离职证明上注明了离职原因是不是个人原因？还是没有注明？3. 如果没有离职证明或者离职证明上没有写原因的话，还要确认是否有签过离职协议，协议上的原因是什么？4. 被辞退的要确定当事人本人有没有责任'
    }

    if (!jingjiRisk && ([3, 4].indexOf(constants['离职情况'].key) !== -1)) {
        jingjiRisk = '不稳'
        jingjiAttention = '在劳动关系和欠薪可以确定的条件下，问清楚该人是什么情况，离职原因是什么？'
    }

    return [{
        type: '拖欠工资的工资部分',
        risk: gongZiRisk,
        attention: gongZiRisk ? gongZiAttention : '证据不足，没有评估'
    }, {
        type: '拖欠工资的经济补偿金',
        risk: jingjiRisk,
        attention: jingjiRisk ? jingjiAttention : '证据不足，没有评估'
    }]
}

// 被公司辞退
function beiGongSiCiTui (Q, Y2) {
    let X4 = 0

    if (Q >= 0 && Q < 12) {
        X4 = Y2 * 2
    }

    return X4
}

// 被公司辞退证据判断
function beiGongSiCiTuiEvidence (constants) {
    let risk = ''
    let attention = ''

    if (constants['辞退通知'].key === 0) {
        if (constants['支付赔偿金'].key === 0) {
            risk = '待考察'
            attention = '这样的情况下很可能是因为对赔偿金额不满，这种时候要核对是否有签署任何的协议，是否有按照协议内容履行。并且，很有可能要按照协商一致解除劳动合同索要一倍的经济补偿。这时，还需要确定已经支付的金额部分是多少，支付方式是什么'

            return {
                type: '辞退赔偿',
                risk: risk,
                attention: attention
            }
        }

        if (constants['支付赔偿金'].key === 1) {
            risk = '待考察'
            attention = '辞退情况，要核对：1. 辞退理由；2. 辞退程序1. 辞退理由：A. 没有给出理由 —— 通常，如果有辞退通知，那么一定会写明一个理由，如果当事人选了A，那么要追问经过。B. 说我无法胜任工作——无法胜任工作辞退员工是可以的，但一定要符合法定的辞退程序，这时候要追问，是有有对他进行调岗或者培训，此问题下会衍生出两种结果：a. 如果都没有，直接以无法胜任工作 / 能力不足 为由辞退该员工，则辞退赔偿稳妥b. 如果进行了调岗 / 培训后，仍然无法胜任工作，那么公司需要出示该员工能力不足的证据，并支付一倍经济补偿，才能辞退。C. 违反公司规章制度——需要满足两点：1. 有规章制度，2.有证据证明违反的事实。 此时，要详细追问规章制度，核对事实是否符合，如果确实有违反的情况存在，那么赔偿很难。如果并没有相应的规章制度，或者公司并没有相应的证据证明，则可以赔。D. 我还没有过试用期，公司以试用期不合格为由辞退我——此时需要核对两点：1. 入职时是否有约定试用期合格的标准；2. 是否有对员工进行试用期考核。如果该员工工作中有疏漏，或者确实考核不合该，则很难获得赔偿。E. 我的试用期已经期满，但公司还是以试用期不合格为由辞退我——首先，要确定是否有劳动合同。a. 有劳动合同，核对劳动合同签订的试用期是否已经到期，如果没有，按照试用期内处理，如果有，核对辞退证明内容。b. 无劳动合同，则不能以试用期不合格为由辞退员工。F. 没有我的情况'

            return {
                type: '辞退赔偿',
                risk: risk,
                attention: attention
            }
        }

        if (constants['支付赔偿金'].key === 2) {
            risk = '待考察'
            attention = '这时候需要确认一些细节：双方就辞退的赔偿达成一致的数额是多少，是否有签协议，约定的赔偿日期是否已经过 。'

            return {
                type: '辞退赔偿',
                risk: risk,
                attention: attention
            }
        }
    }

    if (constants['辞退通知'].key === 1) {
        if (constants['离职月数'] === 0) {
            risk = '待考察'
            attention = '此时的关键在于当事人是否能取得公司要辞退他的证据。证据包括：邮件、短信、聊天记录、电话录音等。如果可以拿到证据，要核对辞退理由和程序。1. 辞退理由：A. 没有给出理由 —— 通常，如果有辞退通知，那么一定会写明一个理由，如果当事人选了A，那么要追问经过。B. 说我无法胜任工作——无法胜任工作辞退员工是可以的，但一定要符合法定的辞退程序，这时候要追问，是有有对他进行调岗或者培训，此问题下会衍生出两种结果：a. 如果都没有，直接以无法胜任工作 / 能力不足 为由辞退该员工，则辞退赔偿稳妥b. 如果进行了调岗 / 培训后，仍然无法胜任工作，那么公司需要出示该员工能力不足的证据，并支付一倍经济补偿，才能辞退。C. 违反公司规章制度——需要满足两点：1. 有规章制度，2.有证据证明违反的事实。 此时，要详细追问规章制度，核对事实是否符合，如果确实有违反的情况存在，那么赔偿很难。如果并没有相应的规章制度，或者公司并没有相应的证据证明，则可以赔。D. 我还没有过试用期，公司以试用期不合格为由辞退我——此时需要核对两点：1. 入职时是否有约定试用期合格的标准；2. 是否有对员工进行试用期考核。如果该员工工作中有疏漏，或者确实考核不合该，则很难获得赔偿。E. 我的试用期已经期满，但公司还是以试用期不合格为由辞退我——首先，要核对劳动合同签订的试用期。F. 没有我的情况'

            return {
                type: '辞退赔偿',
                risk: risk,
                attention: attention
            }
        }

        if (constants['离职月数'] > 0 && constants['离职月数'] < 12) {
            risk = '不稳'
            attention = '此时，当事人已经离职，那么他再获取其他证据的可能性极低。这样的情况下，手上有协议是最好的。如果没有任何能证明辞退的证据（邮件、短信、聊天记录、电话录音），则很难争取赔偿。如果已经付过赔偿，需要问清楚，已经支付的金额是多少，支付方式是什么。'

            return {
                type: '辞退赔偿',
                risk: risk,
                attention: attention
            }
        }
    }

    if (constants['离职情况'].key === 2) {
        risk = '待考察'
        attention = '当辞退通知没有结合赔偿金出现时，当事人应当是有其他复合案由。为了确定他是否能获得辞退赔偿/经济补偿，首先要确定：1. 用人单位是否有支付辞退通知2. 辞退理由和流程是否合法如果用人单位没有错误，那么该当事人，经济补偿/辞退赔偿都拿不到'

        return {
            type: '辞退赔偿',
            risk: risk,
            attention: attention
        }
    }

    return {
        type: '辞退赔偿',
        attention: '证据不足，没有评估'
    }
}

// 调岗降薪
function tiaoGangJiangXin (Q, Y2, Y3, Y8) {
    let X5 = 0

    if (Q === 0) {
        X5 = Y2 + Y8 + Y3
        // Y2 = 0
    } else if (Q > 0 && Q < 12) {
        X5 = Y2 + Y8
        // Y2 = 0
    }

    return X5
}

// 调岗降薪证据判断
function tiaoGangJiangXinEvidence (constants, Y8) {
    let gongZiRisk = ''
    let gongZiAttention = ''
    let jingJiRisk = ''
    let jingJiAttention = ''

    if ([0, 1].indexOf(constants['工资转账路径'].key) !== -1) {
        gongZiRisk = '稳当'
    }

    if (!gongZiRisk && [2, 3, 4].indexOf(constants['工资转账路径'].key) !== -1) {
        gongZiRisk = '待考察'
        gongZiAttention = '降薪中最重要的证据是工资的变化，此时，就需结合其他证据：1. 员工私人转账，需要有证据证明该员工是该公司的员工 （常见的是财务或者人事）2. 第三方机构代发工资，需要有辅助证据证明劳动关系'
    }

    if (!gongZiRisk && [1, 3, 5, 7].indexOf(constants['工资发放形式'].key) !== -1) {
        gongZiRisk = '不稳'
        gongZiAttention = '此时除非当事人能拿出来其他的证据证明降薪事实，负责很难举证。其他证据比如降薪通知，与法人代表的聊天记录等'
    }

    // 经济赔偿金部分
    if (Y8 > 0) {
        if (constants['离职月数'] === 0) {
            jingJiRisk = '稳当'
            jingJiAttention = '当降薪实时存在的情况下，要经济补偿问题不大'
        }

        if (!jingJiRisk && constants['离职月数'] > 0 && constants['离职月数'] < 12) {
            jingJiRisk = '不稳'
            jingJiAttention = '1. 是否有签离职原因是个人原因的离职协议？2. 如果有协议，是否有约定赔偿金，没有的话，则要不到。3. 如果没有协议，要确认是否有提交其他任何的文件能证明辞职原因不是因为降薪的情况。'
        }
    }

    if (Y8 === 0) {
        jingJiRisk = '不稳'
        jingJiAttention = '此时，降薪没有发生。那么只有调岗， 就要看调岗是否合理，能否拿到调岗通知，或者沟通调岗事实的记录。调岗主要取决于原因。1. 搬迁，属于劳动合同订立时所依据的客观事实发生重大变化，此时，搬迁通知很重要，有搬迁通知，拿补偿是可以的。2. 其他原因，到底是什么原因追求清楚，要依据具体情况做判断。'
    }

    return [{
        type: '调岗降薪的工资部分',
        risk: gongZiRisk,
        attention: gongZiRisk ? gongZiAttention : '证据不足，没有评估'
    }, {
        type: '调岗降薪的经济补偿金',
        risk: jingJiRisk,
        attention: jingJiRisk ? jingJiAttention : '证据不足，没有评估'
    }]
}

function zongJinE (constants) {
    for (const i in constants) {
        if (typeof constants[i] !== 'object' && typeof constants[i] !== 'boolean') {
            constants[i] = Number(constants[i])

            if (!(constants[i] || constants[i] === 0)) {
                constants[i] = 0
            }
        }
    }

    // 为了后面的程序不报错，在这里做数据补全
    const checklist = ['工资转账路径', '交社保情况', '工资发放形式', '离职情况', '辞退通知', '支付赔偿金', '签劳动合同情况']

    checklist.forEach(element => {
        if (!constants[element]) {
            constants[element] = {}
        }
    })

    const P = constants['在职月数'] // 在职月数
    const Q = constants['离职月数'] // 已离职月数
    const vacM = constants['拖欠工资月数'] // 拖欠工资月数

    const zuiDiYueGongZi = 2200
    const Salary = Math.max(zuiDiYueGongZi, constants['月工资']) // 月工资

    const N = getCompensationMonthCount(P) // 经济补偿系数
    const RedSalary = constants['降薪数'] // 工资被降的金额
    const RedM = constants['降薪月数'] // 工资被降的月数
    const date = constants['咨询当天日期'] ? constants['咨询当天日期'] : ''
    let Y2 = getY2(constants['离职月数'], Salary, N)

    let X1 = 0
    let X2 = 0
    let X3 = 0
    let X4 = 0
    let X5 = 0
    const evidences = []

    try {
        if (constants['是否被辞退']) {
            X4 = beiGongSiCiTui(Q, Y2)
            X4 = Math.max(Math.round(X4 * 100) / 100, 0)
            Y2 = 0

            if (X4 > 0) {
                evidences.push(Object.assign({ money: X4 }, beiGongSiCiTuiEvidence(constants)))
            }
        }

        if (!constants['是否交社保']) {
            const isOnset = ([1, 2].indexOf(constants['交社保情况'].key)) !== -1

            X3 = weiJiaoNaSheBao(isOnset, Q, Y2, P)
            X3 = Math.max(Math.round(X3 * 100) / 100, 0)

            if (X3 > 0) {
                // 只有在X3大于0 的情况下才会Y2＝0
                Y2 = 0
                evidences.push(Object.assign({ money: X3 }, weiJiaoNaSheBaoEvidence(constants)))
            }
        }

        if (!constants['是否签劳动合同']) {
            X1 = weiQianLaoDongHeTong(Q, P, Y4(P, Salary), Y5(P, Salary), Y6(Q, Salary), Y7(P, Q, Salary))
            X1 = Math.max(Math.round(X1 * 100) / 100, 0)

            if (X1 > 0) {
                evidences.push(Object.assign({ money: X1 }, weiQianLaoDongHeTongEvidence(constants)))
            }
        }

        if (constants['是否拖欠工资']) {
            const jingJiBuChang = [2, 3].indexOf(constants['离职情况'].key) !== -1 ? Y2 : 0 // 主动辞职没有经济补偿

            X2 = tuoQianGongZi(Q, Y1(Salary, vacM), jingJiBuChang, Y3(date, Salary))
            X2 = Math.max(Math.round(X2 * 100) / 100, 0)

            if (X2 > 0) {
                evidences.push(Object.assign({ money: X2 - jingJiBuChang }, tuoQianGongZiEvidence(constants)[0]))
            }

            if (jingJiBuChang !== 0) {
                evidences.push(Object.assign({ money: jingJiBuChang }, tuoQianGongZiEvidence(constants)[1]))
            }

            Y2 = 0
        }

        if (constants['是否调岗降薪']) {
            const jingJiBuChang = (constants['降薪月数'] > 0 && constants['降薪数'] > 0) ? Y2 : 0

            X5 = tiaoGangJiangXin(Q, jingJiBuChang, Y3(date, Salary), Y8(RedSalary, RedM))
            X5 = Math.max(Math.round(X5 * 100) / 100, 0)

            if (X5 > 0) {
                evidences.push(Object.assign({ money: X5 - jingJiBuChang }, tiaoGangJiangXinEvidence(constants, Y8(RedSalary, RedM))[0]))
            }

            if (jingJiBuChang !== 0) {
                evidences.push(Object.assign({ money: jingJiBuChang }, tiaoGangJiangXinEvidence(constants, Y8(RedSalary, RedM))[1]))
            }
        }

        if (!(constants['工资转账路径'].key || constants['交社保情况'].key || constants['工资发放形式'].key || constants['离职情况'].key)) {
            evidences.map(function (ele) {
                ele.risk = '稳妥'
                ele.attention = ''
            })
        }

        const Z = X1 + X2 + X3 + X4 + X5
        let minZ = Z // 减去不稳的金额

        evidences.forEach(function (ele) {
            if (ele.risk === '不稳') {
                minZ -= ele.money
            }
        })

        let serviceDelegate = '无' // 服务模式

        if (minZ >= 8000 && minZ < 10000) {
            serviceDelegate = (2500 / minZ * 100).toFixed(1) + '%'
        }

        if (minZ >= 10000 && minZ < 30000) {
            serviceDelegate = (3000 / minZ * 100).toFixed(1) + '%'
        }

        if (minZ >= 30000) {
            serviceDelegate = '10%'
        }

        return {
            z: Z, // 最大标的额
            evidences: evidences, // 每项的证据详情
            serverMode: serviceDelegate, //  服务模式
            minZ: minZ, // 最小的标的额 ，减去不稳的部分
            isTarget: minZ >= 8000 && P > 0.5
        }
    } catch (e) {
        console.error(e)
    }
}

export default zongJinE

